Package com.opensymphony.sitemesh.compatability

# Class PageParser2ContentProcessor

java.lang.Object
com.opensymphony.sitemesh.compatability.PageParser2ContentProcessor

All Implemented Interfaces:
  `ContentProcessor`

public class PageParser2ContentProcessor extends Object implements ContentProcessor
Adapts a SiteMesh 2 `PageParser` to a SiteMesh 3 `ContentProcessor`.

Since:
  SiteMesh 3
Author:
  Joe Walnes

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Factory`
`factory`

## Constructor Summary

Constructors
Constructor
Description
`PageParser2ContentProcessor(Factory factory)`

## Method Summary

Modifier and Type
Method
Description
`Content`
`build(char[] data, SiteMeshContext context)`
`private String`
`extractRequestPath(javax.servlet.http.HttpServletRequest request)`
`boolean`
`handles(SiteMeshContext context)`
`boolean`
`handles(String contentType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### factory

private final Factory factory

## Constructor Details

### PageParser2ContentProcessor

public PageParser2ContentProcessor(Factory factory)

## Method Details

### handles

public boolean handles(SiteMeshContext context)

Specified by:
  `handles` in interface `ContentProcessor`

### extractRequestPath

private String extractRequestPath(javax.servlet.http.HttpServletRequest request)

### handles

public boolean handles(String contentType)

Specified by:
  `handles` in interface `ContentProcessor`

### build

public Content build(char[] data, SiteMeshContext context) throws IOException

Specified by:
  `build` in interface `ContentProcessor`
Throws:
  `IOException`